</rule>
      <rule pattern="0x[0-9a-fA-F]+[LlUu]*">
        <token type="LiteralNumberHex"/>
      </rule>
      <rule pattern="0[0-7]+[LlUu]*">
        <token type="LiteralNumberOct"/>
      </rule>
      <rule pattern="\d+[LlUu]*">
        <token type="LiteralNumberInteger"/>
      </rule>
      <rule pattern="[+-=]">
        <token type="Operator"/>
      </rule>
      <rule pattern="([a-zA-Z_][\w.]*)([ \t]*)(=)">
        <bygroups>
          <token type="Name"/>
          <token type="Text"/>
          <token type="Operator"/>
        </bygroups>
      </rule>
      <rule pattern="[a-zA-Z_][\w.]*">
        <token type="Name"/>
      </rule>
    </state>
  </rules>
</lexer>